<?php 
/******************************************************************************
* admin.php - Admin File                                                      *
*******************************************************************************
* phpCheckZ - The Easy Checklist Maker                                        *
* =========================================================================== *
* Software Version:           phpCheckZ 1.1.0                                 *
* Software by:                The RSWR Network (http://www.rswr.net)          *
* Copyright 2008 by:          Ryan Christenson (http://www.rswr.net)          *
* Support, News, Updates at:  http://www.phpcheckz.com/                       *
*******************************************************************************
* This program is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by        *
* the Free Software Foundation; either version 2 of the License, or           *
* (at your option) any later version.                                         *
*                                                                             *
* This program is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of              *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
* GNU General Public License for more details.                                *
*                                                                             *
* You should have received a copy of the GNU General Public License           *
* if not, write to the:                                                       *
* Free Software Foundation, Inc.                                              *
* 51 Franklin St - Fifth Floor, Boston, MA 02110-1301, USA                    *
******************************************************************************/
session_start();
ob_start();
?>
<?php include "constants.php" ?>
<?php include "db.php" ?>
<?php include "security.php" ?>
<?php include "functions.php" ?>
<?php include "language.php" ?>
<?php include "header.php" ?>
<?php
if (!ckz_IsLoggedIn() && (@$_COOKIE[CookieAutoLogin] == "autologin" && @$_COOKIE[CookiePassword] <> "")) {
	ob_end_clean();
	header("Location: login.php");
	exit();
}
ckz_LoadUserLevel();
$ckz_CurSec = (ckz_IsLoggedIn())? ckz_CurrentUserLevelPriv("listcreate") : ckz_GetAnonymousPriv("listcreate");	
if (($ckz_CurSec & ckz_Allow) <> ckz_Allow) {
	ob_end_clean();
	header("Location: login.php");
	exit();
}
if (ckz_IsLoggedIn() && ckz_CurrentUserID() == "") {
	ob_end_clean();
	header("Location: login.php");
	exit();
}
?>
<?php
if (@$_SESSION[ckzSessMessage] <> "") {
	echo '<p><div class="red">' . $_SESSION[ckzSessMessage] . '</div></p>';
	$_SESSION[ckzSessMessage] = "";
}
?>
<!-- Legend -->
    <div class="legend">
    <span class="bold">Legend:</span>
    <br />
    <br /><img src="images/check_red.gif" alt="Not Public" /> Not Public
    <br /><img src="images/check_blue.gif" alt="Public" /> Public
    </div>
<!-- Legend -->
<?php if (ckz_Admin()) { ?>
<!-- Grab Latest Updates -->
<table class="updates">
<tr><td class="updateshead"><?php echo $Translation["admin_01"]; ?></td></tr>
<tr>
<td>
<?php
if (@fopen("http://www.phpcheckz.com/version.txt", "r")) {
	$access = true;
} else {
	$access = false;
}
$ver_current = "1.1.0";
if ($access == true) {
$file = @fopen("http://www.phpcheckz.com/version.txt", "r");
	while (!feof($file)) {
		$line = fgets($file, 1024);
			eregi ("<!-- Version (.*) -->", $line, $out1);
				$ver_update = $out1[1];
			eregi ("<!-- Download (.*) -->", $line, $out2);
				$url = $out2[1];
	}
	echo $Translation["admin_02"] ." &nbsp;&nbsp;&nbsp;&nbsp;= $ver_update";
	echo "<br />" . $Translation["admin_03"] . " = $ver_current";
	if ($ver_update != $ver_current) {
		echo "<br /><br />" . $Translation["admin_04"] . " <a href='$url'>" . $Translation["admin_05"] . " $ver_update</a>";
	} else {
		echo '<br />'. $Translation["admin_06"];
	}
}
else {
echo $Translation["admin_03"] . " = $ver_current<br />";
echo $Translation["admin_07"] . '<br /><br /><a href="http://www.phpcheckz.com/">' . $Translation["admin_08"] . '</a>';
}

?>
</td>
</tr>
</table>
<!-- Grab Latest Updates -->
<?php } ?>
<table>
<?php if (ckz_Admin()) { ?>
  <tr>
<?php 
$mysqli = new mysqli(HOST, USER, PASS, DB, PORT);
	$result = $mysqli->query("SELECT * FROM `settings` WHERE `id` = '1' ");
		$row = $result->fetch_array(MYSQLI_ASSOC);
			$mode = $row["bridges"];
?>
<?php if ($mode == "1") { ?>
    <td align="center"><div class="ap_menu"><a href="userslist.php?cmd=resetall"><img src="images/admin_members.gif" alt="Members" border="0" /></a></div></td>
<?php } else { ?>
    <td align="center"><div class="ap_menu"><a href="#"><img src="images/admin_members.gif" alt="Members" border="0" /></a></div></td>
<?php } ?>
    <td align="center"><div class="ap_menu"><a href="settings.php"><img src="images/admin_settings.gif" alt="Members" border="0" /></a></div></td>
  </tr>
  <tr>
<?php if ($mode == "1") { ?>
    <td align="center" valign="top"><?php echo $Translation["admin_09"]; ?></td>
<?php } else { ?>
    <td align="center" valign="top"><?php echo $Translation["admin_10"]; ?></td>
<?php } ?>
    <td align="center" valign="top"><?php echo $Translation["admin_11"]; ?></td>
  </tr>
<?php } ?>
  <tr>
    <td align="center"><div class="ap_menu"><a href="listcreateadd.php"><img src="images/admin_addlists.gif" alt="Edit Current Lists" border="0" /></a></div></td>
    <td align="center"><div class="ap_menu"><a href="#"><img src="images/admin_editlists.gif" alt="Edit Current Lists" border="0" /></a></div></td>
  </tr>
  <tr>
    <td align="center" valign="top"><?php echo $Translation["admin_12"]; ?></td>
    <td valign="top"><div class="cen"><?php echo $Translation["admin_13"]; ?></div>
    <br /><br />
<!-- Checklists Start -->
<div class="view">
<table width="100%">
<?php
$mysqli = new mysqli(HOST, USER, PASS, DB, PORT);
$user_name = ckz_CurrentUserName();

$result = $mysqli->query("SELECT `id`, `public`, `title` FROM `listcreate` ORDER BY `title` ASC");
	while ($row = $result->fetch_array(MYSQLI_ASSOC)) {
		$i_id = $row[listid];	
?>
<tr>
<td class="prof"><a href="listcreateedit.php?id=<?php printf ("%s\n", $row["id"]); ?>"><?php printf ("%s\n", $row["title"]); ?></a></td>
<td class="prof">
<?php
$pub = $row["public"];
switch ($pub) {
case "N":
    echo '<img src="images/check_red.gif" alt="Not Public" />';
    break;
case "Y":
    echo '<img src="images/check_blue.gif" alt="Public" />';
    break;
}
?>
</td>
</tr>
<?php } $result->close(); ?>
</table>
</div>
<!-- Checklists End -->
    </td>
  </tr>
</table>
<?php include "footer.php" ?>
