<?php
/******************************************************************************
* bridges.php - Bridges File                                                  *
*******************************************************************************
* phpCheckZ - The Easy Checklist Maker                                        *
* =========================================================================== *
* Software Version:           phpCheckZ 1.1.0                                 *
* Software by:                The RSWR Network (http://www.rswr.net)          *
* Copyright 2008 by:          Ryan Christenson (http://www.rswr.net)          *
* Support, News, Updates at:  http://www.phpcheckz.com/                       *
*******************************************************************************
* This program is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by        *
* the Free Software Foundation; either version 2 of the License, or           *
* (at your option) any later version.                                         *
*                                                                             *
* This program is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of              *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
* GNU General Public License for more details.                                *
*                                                                             *
* You should have received a copy of the GNU General Public License           *
* if not, write to the:                                                       *
* Free Software Foundation, Inc.                                              *
* 51 Franklin St - Fifth Floor, Boston, MA 02110-1301, USA                    *
******************************************************************************/

// If UserName is blank get login details
if ($_SESSION[ckzSessUserLevel] == 0) {
	$mysqli = new mysqli(HOST, USER, PASS, DB, PORT);

	// Check for a chosen bridge
	$result = $mysqli->query("SELECT * FROM `settings` WHERE `id` = '1' ");
		$row = $result->fetch_array(MYSQLI_ASSOC);
			$bridge_mode = $row["bridges"];
			$bridge_path = $row["bridge_path"];
			$bridge_login = $row["bridge_login"];
			$bridge_group = $row["bridge_group"];
		set_include_path($bridge_path);

	// Bridge #1 - SMF Bridge
	if ($bridge_mode == A) {
		include("SSI.php");

		// Are we logged in?
		if (!$user_info['is_guest']) {
			// Retreive Data and Store in Session
			$_SESSION[ckzSessUserName] = $user_info['username'];
			$_SESSION[ckzSessUserID] = 1;
			$_SESSION[ckzSessUserLevel] = 1;
			$_SESSION[ckzSessStatus] = "login";
			$_SESSION[ckzSessSysAdmin] = 0;
		}
		// If is moderator, grant moderation access
		if (in_array($bridge_group, $user_info['groups'])) {
			// Write user id session data here
			$_SESSION[ckzSessUserID] = 2;
			$_SESSION[ckzSessUserLevel] = 2;
		}

		// If is admin, grant admin access
		if ($user_info['is_admin']) {
			// Write user id session data here
			$_SESSION[ckzSessUserID] = -1;
			$_SESSION[ckzSessUserLevel] = -1;
		}
		// Redirect if not logged in
		if ($user_info['is_guest']) {
			ob_end_clean();
			header("Location: $bridge_login");
			exit();
		}
		// Else Redirect to Profile Page
		else if (!$user_info['is_guest']) {
			ob_end_clean();
			header("Location: MyProfile.php");
			exit();
		}
	}
	
	// Bridge #2 - phpBB 3.0.1
	else if ($bridge_mode == B) {
		define('IN_PHPBB', true);
		$phpbb_root_path = $bridge_path;
		$phpEx = substr(strrchr(__FILE__, '.'), 1);
		include("common.php");
		// Start session management
		$user->session_begin();
		$auth->acl($user->data);
		$user->setup();
		
		// Are we logged in?
		if ($user->data['username'] != "Anonymous") {
			$_SESSION[ckzSessUserName] = $user->data['username'];
			$_SESSION[ckzSessUserID] = 1;
			$_SESSION[ckzSessUserLevel] = 1;
			$_SESSION[ckzSessStatus] = "login";
			$_SESSION[ckzSessSysAdmin] = 0;
		}
		
		// If is moderator (WordPress Author), grant moderation access
		if ($user->data['group_id'] == $bridge_group) {
			// Write user id session data here
			$_SESSION[ckzSessUserID] = 2;
			$_SESSION[ckzSessUserLevel] = 2;
		}
		// If is admin, grant admin access
		if ($user->data['group_id'] == "5") {
			// Write user id session data here
			$_SESSION[ckzSessUserID] = -1;
			$_SESSION[ckzSessUserLevel] = -1;
		}
		// Redirect if not logged in
		if ($user->data['username'] == "Anonymous") {
			ob_end_clean();
			header("Location: $bridge_login");
			exit();
		}
		// Else Redirect to Profile Page
		else if ($user->data['username'] != "Anonymous") {
			ob_end_clean();
			header("Location: MyProfile.php");
			exit();
		}
	}
	
	/*
	// Bridge #3 - WordPress Bridge (Unfinished Bridge)
	else if ($bridge_mode == C) {
		set_include_path($bridge_path);	
		define("WP_USE_THEMES", false);
		require("wp-blog-header.php");

		// Are we logged in?
		if (is_user_logged_in()) {
			echo "suprise!";
			$_SESSION[ckzSessUserName] = $username;
			$_SESSION[ckzSessUserID] = $username;
			$_SESSION[ckzSessUserLevel] = 1;
			$_SESSION[ckzSessStatus] = "login";
			$_SESSION[ckzSessSysAdmin] = 0;
		}
		// Redirect if not logged in
		if ($username == '') {
			ob_end_clean();
			header("Location: $bridge_login");
			exit();
		}
		// If is moderator (WordPress Author), grant moderation access
		if (is_author()) {
			// Write user id session data here
			$_SESSION[ckzSessUserID] = 2;
			$_SESSION[ckzSessUserLevel] = 2;
		}
		// If is admin, grant admin access
		if (is_admin()) {
			// Write user id session data here
			$_SESSION[ckzSessUserID] = -1;
			$_SESSION[ckzSessUserLevel] = -1;
		}
	}*/

	/*// Bridge #4 - Future Bridge
	else if ($bridge_mode == D) {
	// Future Bridge Information
	}
	*/
	$result->close();
}
?>
