<?php 
session_start();
ob_start();
?>
<?php include "constants.php" ?>
<?php include "db.php" ?>
<?php include "security.php" ?>
<?php include "functions.php" ?>
<?php include "language.php" ?>
<?php
if (!ckz_IsLoggedIn() && (@$_COOKIE[CookieAutoLogin] == "autologin" && @$_COOKIE[CookiePassword] <> "")) {
	ob_end_clean();
	header("Location: login.php");
	exit();
}
ckz_LoadUserLevel();
$ckz_CurSec = (ckz_IsLoggedIn())? ckz_CurrentUserLevelPriv("users") : ckz_GetAnonymousPriv("users");	
if (($ckz_CurSec & ckz_Del_Perms) <> ckz_Del_Perms) {
	ob_end_clean();
	header("Location: userslist.php");
	exit();
}
if (ckz_IsLoggedIn() && ckz_CurrentUserID() == "") {
	ob_end_clean();
	header("Location: login.php");
	exit();
}
?>
<?php
$arRecKey = NULL;

// Load key parameters
$sKey = "";
$bSingleDelete = true;
$x_id = @$_GET["id"];
if (($x_id == "") || (is_null($x_id))) {
	$bSingleDelete = false;
} else {
	if ($sKey <> "") $sKey .= ",";
	$sKey .= $x_id;
	if (!is_numeric($x_id)) {
		ob_end_clean();
		header("Location: userslist.php");
		exit();
	}
}
if (!$bSingleDelete) $sKey = @$_POST["key_d"];
if (!is_array($sKey)) {
 if (strlen($sKey) > 0) $arRecKey = split(",", $sKey);
} else {
 $sKey = implode(",", $sKey);
 $arRecKey = split(",", $sKey);
}
if (count($arRecKey) <= 0) {
	ob_end_clean();
	header("Location: userslist.php");
	exit();
}
$sKey = implode(",", $arRecKey);
$i = 0;
$sDbWhere = "";
while ($i < count($arRecKey)) {
	$sDbWhere .= "(";

	// Remove spaces
	$sRecKey = trim($arRecKey[$i+0]);
	$sRecKey = (!get_magic_quotes_gpc()) ? addslashes($sRecKey) : $sRecKey ;

	// Build the SQL
	$sDbWhere .= "`id`=" . $sRecKey . " AND ";
	if (substr($sDbWhere, -5) == " AND ") { $sDbWhere = substr($sDbWhere, 0, strlen($sDbWhere)-5) . ") OR "; }
	$i += 1;
}
if (substr($sDbWhere, -4) == " OR ") { $sDbWhere = substr($sDbWhere, 0 , strlen($sDbWhere)-4); }

// Get action
$sAction = @$_POST["a_delete"];
if (($sAction == "") || ((is_null($sAction)))) {
	$sAction = "I";	// Display record
}
$conn = ckz_db_connect(HOST, USER, PASS, DB, PORT);
switch ($sAction) {
	case "I": // Display
		if (LoadRecordCount($sDbWhere,$conn) <= 0) {
			ckz_db_close($conn);
			ob_end_clean();
			header("Location: userslist.php");
			exit();
		}
		break;
	case "D": // Delete
		if (DeleteData($sDbWhere,$conn)) {
			$_SESSION[ckzSessMessage] = $Translation["user_18"];
			ckz_db_close($conn);
			ob_end_clean();
			header("Location: userslist.php");
			exit();
		}
		break;
}
?>
<?php include "header.php" ?>
<form action="usersdelete.php" method="post">
<p>
<input type="hidden" name="a_delete" value="D">
<?php $sKey = (get_magic_quotes_gpc()) ? stripslashes($sKey) : $sKey; ?>
<input type="hidden" name="key_d" value="<?php echo htmlspecialchars($sKey); ?>">
<table class="table1">
	<tr class="table1Header">
		<td valign="top"><?php echo $Translation["user_07"]; ?></td>
		<td valign="top"><?php echo $Translation["user_10"]; ?></td>
		<td valign="top"><?php echo $Translation["user_11"]; ?></td>
	</tr>
<?php
$nRecCount = 0;
$i = 0;
while ($i < count($arRecKey)) {
	$nRecCount++;

	$sRecKey = trim($arRecKey[$i+0]);
	$sRecKey = (get_magic_quotes_gpc()) ? stripslashes($sRecKey) : $sRecKey;
	$x_id = $sRecKey;
	if (!is_numeric($x_id)) {
		ob_end_clean();
		header("Location: userslist.php");
		exit();
	}
	if (LoadData($conn)) {
?>
	<tr>
		<td><?php echo $x_user; ?></td>
		<td><?php echo $x_email; ?></td>
		<td>
<?php if (($ckz_CurSec & ckz_Admin_Perms) == ckz_Admin_Perms) { // System admin ?>
<?php
switch ($x_UserLevel) {
	case "0":
		$sTmp = "Anonymous";
		break;
	case "1":
		$sTmp = "Registered";
		break;
	case "2":
		$sTmp = "Moderator";
		break;
	case "-1":
		$sTmp = "Administrator";
		break;
	default:
		$sTmp = "";
}
$ox_UserLevel = $x_UserLevel; // Backup original value
$x_UserLevel = $sTmp;
?>
<?php echo $x_UserLevel; ?>
<?php $x_UserLevel = $ox_UserLevel; // Restore original value ?>
<?php } else {?>
********
<?php } ?>
	</td>
	</tr>
<?php
	}
	$i += 1;
}
?>
</table>
<p>
<input type="submit" name="Action" value="<?php echo $Translation["user_19"]; ?>" class="button" />
</form>
<?php include "footer.php" ?>
<?php

//-------------------------------------------------------------------------------
// Function LoadData
// - Variables setup: field variables

function LoadData($conn)
{
	global $x_id;
	$sFilter = Users_KeyWhere;
	if (!is_numeric($x_id)) return false;
	$x_id =  (get_magic_quotes_gpc()) ? stripslashes($x_id) : $x_id;
	$sFilter = str_replace("@id", AdjustSql($x_id), $sFilter); // Replace key value
	if ((ckz_CurrentUserID() <> "-1") && (ckz_CurrentUserID() <> "")) {

	//$sFilter .= " AND " . str_replace("#UserID", AdjustSql(ckz_CurrentUserID()), Users_UserIDFilter);
	$sFilter .= " AND " . Users_UserIDFilter;
	$sFilter = str_replace("#Key", "`user`", $sFilter);
	$sFilter = str_replace("#UserID", AdjustSql(ckz_CurrentUserID()), $sFilter);
	}
	$sSql = ckz_BuildSql(Users_Select, Users_Where, Users_GroupBy, Users_Having, Users_OrderBy, $sFilter, "");
	$rs = ckz_query($sSql,$conn) or die("Failed to execute query at line " . __LINE__ . ": " . ckz_error($conn) . '<br />SQL: ' . $sSql);
	if (ckz_num_rows($rs) == 0) {
		$bLoadData = false;
	} else {
		$bLoadData = true;
		$row = ckz_fetch_array($rs);

		// Get the field contents
		$GLOBALS["x_id"] = $row["id"];
		$GLOBALS["x_user"] = $row["user"];
		$GLOBALS["x_pass"] = $row["pass"];
		$GLOBALS["x_email"] = $row["email"];
		$GLOBALS["x_UserLevel"] = $row["UserLevel"];
	}
	ckz_free_result($rs);
	return $bLoadData;
}
?>
<?php

//-------------------------------------------------------------------------------
// Function LoadRecordCount
// - Load Record Count based on input sql criteria sqlKey

function LoadRecordCount($sqlKey, $conn)
{
	global $x_id;
	$sFilter = $sqlKey;
	if ((ckz_CurrentUserID() <> -1) && (ckz_CurrentUserID() <> "")) { // Non system admin

		//$sFilter .= " AND " . str_replace("#UserID", AdjustSql(ckz_CurrentUserID()), Users_UserIDFilter);
		$sFilter .= " AND " . Users_UserIDFilter;
		$sFilter = str_replace("#Key", "`user`", $sFilter);
		$sFilter = str_replace("#UserID", AdjustSql(ckz_CurrentUserID()), $sFilter);
	}
	$sSql = ckz_BuildSql(Users_Select, Users_Where, Users_GroupBy, Users_Having, Users_OrderBy, $sFilter, "");	
	$rs = ckz_query($sSql,$conn) or die("Failed to execute query at line " . __LINE__ . ": " . ckz_error($conn) . '<br />SQL: ' . $sSql);
	return ckz_num_rows($rs);
	ckz_free_result($rs);
}

//-------------------------------------------------------------------------------
// Function DeleteData
// - Delete Records based on input sql criteria sqlKey

function DeleteData($sqlKey, $conn)
{
	global $x_id;
	$sFilter = $sqlKey;
	if ((ckz_CurrentUserID() <> "-1") && (ckz_CurrentUserID() <> "")) { // Non system admin

	//$sFilter .= " AND " . str_replace("#UserID", AdjustSql(ckz_CurrentUserID()), Users_UserIDFilter);
	$sFilter .= " AND " . Users_UserIDFilter;
	$sFilter = str_replace("#Key", "`user`", $sFilter);
	$sFilter = str_replace("#UserID", AdjustSql(ckz_CurrentUserID()), $sFilter);
	}

	// Backup the record before delete
	$sSql = ckz_BuildSql(Users_Select, Users_Where, Users_GroupBy, Users_Having, Users_OrderBy, $sFilter, "");
	$query = ckz_query($sSql,$conn) or die("Failed to execute query at line " . __LINE__ . ": " . ckz_error($conn) . '<br />SQL: ' . $sSql);
	while ($temp = ckz_fetch_array($query)) {
		$oldrs[] = $temp;
	}

	// Delete
	$sSql = "DELETE FROM `users`";
	$sWhere = "";
	if ($sFilter <> "") {
		if ($sWhere <> "") $sWhere .= " AND ";
		$sWhere .= $sFilter;
	}
	if ($sWhere <> "") {
		$sSql .= " WHERE " . $sWhere;
	}

	// Deleting event
	if (Recordset_Deleting($oldrs)) {
		ckz_query($sSql,$conn) or die("Failed to execute query at line " . __LINE__ . ": " . ckz_error($conn) . '<br />SQL: ' . $sSql);
		$result = (ckz_affected_rows($conn) > 0);

		// Deleted event
		if ($result) Recordset_Deleted($oldrs);
	} else {
		$result = false;
	}
	return $result;
}
// Deleting event
function Recordset_Deleting($oldrs) {return true;}
// Deleted event
function Recordset_Deleted($oldrs) {$table = "users";}
?>
